Subject: Re: [GSoC][PATCH v2 0/4] t: port reftable/basics_test.c to the unit testing

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 29 May 2024 11:29:56 +0200

On Wed, May 29, 2024 at 12:25:08PM +0530, Chandra Pratap wrote:
> In the recent codebase update (commit 8bf6fbd, 2023-12-09), a new unit
> testing framework written entirely in C was introduced to the Git project
> aimed at simplifying testing and reducing test run times.
> Currently, tests for the reftable refs-backend are performed by a custom
> testing framework defined by reftable/test_framework.{c, h}. Port
> reftable/basics_test.c to the unit testing framework and improve upon
> the ported test.
> 
> Mentored-by: Patrick Steinhardt <[email-masked]>
> Mentored-by: Christian Couder <[email-masked]>
> Signed-off-by: Chandra Pratap <[email-masked]>

The evolution of a patch series can be followed a bit easier if
subsequent versions are attached to the initial thread. You can do this
by passing e.g. `--in-reply-to=<message-id>` to git-format-patch(1),
where the message ID is the one of the cover letter of the first
version.

I'd also recommend to attach a range diff to your cover letter via the
`--range-diff=` parameter. This range diff helps the reviewer to spot
what has changed between your preceding version and this one.

Patrick